de.vc.jfo.tools

## Class InternalImageTranscoder

- java.lang.Object
- - de.vc.jfo.tools.ImageTranscoder
  - - de.vc.jfo.tools.InternalImageTranscoder

-     public abstract class InternalImageTranscoder
      extends ImageTranscoder

  Abstract internal image transcoder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InternalImageTranscoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static java.awt.image.BufferedImage` | `createBufferedImage(java.awt.image.ImageProducer imgProducer, ImageMetaData descriptor)`
    `protected void` | `doTranscode(java.lang.String inputFile, java.lang.String outputFile, ImageMetaData descriptor)` Do transcode an image from an input file to an output file.

    - ### Methods inherited from class de.vc.jfo.tools.ImageTranscoder

      `canTranscodeFile, canTranscodeFormat, checkImageSize, doTranscode, getInputFormats, getMaximumSize, getOutputFormat, getTypeOfFile, isReady, setMaximumSize, transcodeBytes, transcodeFile, transcodeFile`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InternalImageTranscoder

          public InternalImageTranscoder()

  - ### Method Detail

    - #### createBufferedImage

          protected static java.awt.image.BufferedImage createBufferedImage(java.awt.image.ImageProducer imgProducer,
                                                         ImageMetaData descriptor)

    - #### doTranscode

          protected void doTranscode(java.lang.String inputFile,
                         java.lang.String outputFile,
                         ImageMetaData descriptor)

      Description copied from class: `ImageTranscoder`
      Do transcode an image from an input file to an output file.
      Specified by:
        `doTranscode` in class `ImageTranscoder`
      Parameters:
        `inputFile` - Input file.
        `outputFile` - Output file.
        `descriptor` - ImageDescriptor

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.